### Function

# EDataServer GDataObjectCallback

since: 3.46

#### Declaration

    gboolean
    (* EGDataObjectCallback) (
      EGDataSession* gdata,
      JsonObject* object,
      gpointer user_data
    )

#### Description [src]

Callback used to traverse response from the server, which is an array.

Available since: 3.46

#### Parameters

`gdata`

  Type: `EGDataSession`

  An `EGDataSession`.

  The data is owned by the caller of the function.

`object`

  Type: `JsonObject`

  A `JSonObject` with received content.

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data passed to the call.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

Whether the traverse can continue.